salesforce.cdp.hyperdb.v1

## Interface ErrorInfoOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  ErrorInfo, ErrorInfo.Builder

    public interface ErrorInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCustomerDetail()` `string customer_detail = 4;`
`com.google.protobuf.ByteString` `getCustomerDetailBytes()` `string customer_detail = 4;`
`String` `getCustomerHint()` `string customer_hint = 3;`
`com.google.protobuf.ByteString` `getCustomerHintBytes()` `string customer_hint = 3;`
`String` `getErrorSource()` `string error_source = 7;`
`com.google.protobuf.ByteString` `getErrorSourceBytes()` `string error_source = 7;`
`TextPosition` `getPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`TextPositionOrBuilder` `getPositionOrBuilder()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`String` `getPrimaryMessage()` `string primary_message = 1;`
`com.google.protobuf.ByteString` `getPrimaryMessageBytes()` `string primary_message = 1;`
`String` `getSqlstate()` `string sqlstate = 2;`
`com.google.protobuf.ByteString` `getSqlstateBytes()` `string sqlstate = 2;`
`String` `getSystemDetail()` `string system_detail = 5;`
`com.google.protobuf.ByteString` `getSystemDetailBytes()` `string system_detail = 5;`
`boolean` `hasPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getPrimaryMessage

    String getPrimaryMessage()

`string primary_message = 1;`

Returns:
  The primaryMessage.

#### getPrimaryMessageBytes

    com.google.protobuf.ByteString getPrimaryMessageBytes()

`string primary_message = 1;`

Returns:
  The bytes for primaryMessage.

#### getSqlstate

    String getSqlstate()

`string sqlstate = 2;`

Returns:
  The sqlstate.

#### getSqlstateBytes

    com.google.protobuf.ByteString getSqlstateBytes()

`string sqlstate = 2;`

Returns:
  The bytes for sqlstate.

#### getCustomerHint

    String getCustomerHint()

`string customer_hint = 3;`

Returns:
  The customerHint.

#### getCustomerHintBytes

    com.google.protobuf.ByteString getCustomerHintBytes()

`string customer_hint = 3;`

Returns:
  The bytes for customerHint.

#### getCustomerDetail

    String getCustomerDetail()

`string customer_detail = 4;`

Returns:
  The customerDetail.

#### getCustomerDetailBytes

    com.google.protobuf.ByteString getCustomerDetailBytes()

`string customer_detail = 4;`

Returns:
  The bytes for customerDetail.

#### getSystemDetail

    String getSystemDetail()

`string system_detail = 5;`

Returns:
  The systemDetail.

#### getSystemDetailBytes

    com.google.protobuf.ByteString getSystemDetailBytes()

`string system_detail = 5;`

Returns:
  The bytes for systemDetail.

#### hasPosition

    boolean hasPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Returns:
  Whether the position field is set.

#### getPosition

    TextPosition getPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Returns:
  The position.

#### getPositionOrBuilder

    TextPositionOrBuilder getPositionOrBuilder()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

#### getErrorSource

    String getErrorSource()

`string error_source = 7;`

Returns:
  The errorSource.

#### getErrorSourceBytes

    com.google.protobuf.ByteString getErrorSourceBytes()

`string error_source = 7;`

Returns:
  The bytes for errorSource.